%define anolis_release 2

Name:           gsound
Version:        1.0.3
Release:        %{anolis_release}%{?dist}
Summary:        Small gobject library for playing system sounds
 
License:        LGPLv2
URL:            https://wiki.gnome.org/Projects/GSound
Source0:        https://github.com/GNOME/gsound/archive/refs/tags/%{name}-%{version}.tar.gz
 
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  vala
BuildRequires:  gtk-doc
BuildRequires:  meson
 
 
%description
GSound is a small library for playing system sounds. 
It's designed to be used via GObject Introspection, 
and is a thin wrapper around the libcanberra C library
 
 
%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
 
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.
 
%prep
%setup -q
 
 
%build
%meson -Dgtk_doc=true
%meson_build
 
%install
%meson_install
 
%ldconfig_scriptlets
 
%generate_compatibility_deps

%files
%doc COPYING
%dir %{abidir}
%{_bindir}/gsound-play
%{abidir}/gsound-play-option.list
%{_libdir}/*.so.*
%{abidir}/*.dump
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GSound-1.0.typelib
%{_mandir}/man1/gsound-play.*
 
%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gsound.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GSound-1.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gsound-%{version}
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gsound.*

%files doc
%doc README
 
%changelog
* Fri Mar 10 2023 Feng Su <sufeng@linux.alibaba.com> - 1.0.3-2
- add doc package
- add abi/api files

* Tue May 10 2022 gaochang <taifu.gc@alibaba-inc.com> - 1.0.3-1
- Init from upstream version 1.0.3
 
